{
    "initiator": "admin",
    "targetVariable": "revenue",
    "predictionDisplayScript": {
        "coloring": {
            "scheme": "MEANING_AND_STATUS",
            "valueColoringMode": "HASH",
            "individualColumns": []
        },
        "columnsSelection": {
            "mode": "ALL"
        },
        "tags": [],
        "analysisColumnData": {},
        "charts": [],
        "exploreUIParams": {},
        "vizSampling": {
            "autoRefreshSample": false,
            "_refreshTrigger": 0
        },
        "steps": [],
        "globalSearchQuery": "",
        "previewMode": "ALL_ROWS",
        "chartsEngine": "LINO",
        "explorationSampling": {
            "autoRefreshSample": false,
            "selection": {
                "maxRecords": 30000,
                "partitionSelectionMethod": "ALL",
                "targetRatio": 0.02,
                "samplingMethod": "HEAD_SEQUENTIAL"
            },
            "_refreshTrigger": 0
        },
        "explorationFilters": []
    },
    "backendType": "PY_MEMORY",
    "predictionType": "REGRESSION",
    "sparkParams": {
        "pipelineAllowStart": null,
        "sparkPreparedDFStorageLevel": "MEMORY_AND_DISK",
        "sparkConf": null,
        "sparkRepartitionNonHDFS": 1,
        "pipelineAllowMerge": null
    },
    "preprocessing": {
        "deduplication": {
            "enabled": false
        },
        "reduce": {
            "enable": false,
            "disable": true,
            "kept_variance": 0.0
        },
        "numerical_combinations": {
            "pairwiseLinear": false,
            "polynomialInteraction": false
        },
        "target_remapping": [],
        "feature_generation": {
            "manual_interactions": {
                "interactions": []
            },
            "pairwise_linear": {
                "behavior": "DISABLED"
            },
            "polynomial_combinations": {
                "behavior": "DISABLED"
            }
        },
        "featureSelection": {
            "kind": "NONE",
            "filterOnlyKBestNbToKeep": 10
        },
        "per_feature": {
            "pages_visited": {
                "generate_derivative": false,
                "rescaling": "AVGSTD",
                "name": "pages_visited",
                "missing_handling": "IMPUTE",
                "numerical_handling": "REGULAR",
                "binarize_threshold_mode": "MEDIAN",
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "DoubleMeaning",
                    "autoModifiedByDSS": false
                },
                "role": "INPUT",
                "binarize_constant_threshold": 0.0,
                "quantile_bin_nb_bins": 4,
                "missing_impute_with": "MEAN",
                "type": "NUMERIC",
                "impute_constant_value": 0.0
            },
            "revenue": {
                "generate_derivative": false,
                "name": "revenue",
                "binarize_threshold_mode": "MEDIAN",
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "LongMeaning",
                    "autoModifiedByDSS": false
                },
                "role": "TARGET",
                "binarize_constant_threshold": 0.0,
                "quantile_bin_nb_bins": 4,
                "type": "NUMERIC",
                "impute_constant_value": 0.0
            },
            "gender": {
                "missing_impute_with": "MODE",
                "name": "gender",
                "hash_whole_categories": false,
                "category_handling": "DUMMIFY",
                "cumulative_proportion": 0.95,
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "Gender",
                    "autoModifiedByDSS": false
                },
                "missing_handling": "IMPUTE",
                "max_nb_categories": 100,
                "dummy_clip": "MAX_NB_CATEGORIES",
                "role": "INPUT",
                "max_cat_safety": 200,
                "min_samples": 10,
                "type": "CATEGORY",
                "dummy_drop": "NONE"
            },
            "age": {
                "generate_derivative": false,
                "rescaling": "AVGSTD",
                "name": "age",
                "missing_handling": "IMPUTE",
                "numerical_handling": "REGULAR",
                "binarize_threshold_mode": "MEDIAN",
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "LongMeaning",
                    "autoModifiedByDSS": false
                },
                "role": "INPUT",
                "binarize_constant_threshold": 0.0,
                "quantile_bin_nb_bins": 4,
                "missing_impute_with": "MEAN",
                "type": "NUMERIC",
                "impute_constant_value": 0.0
            },
            "campain": {
                "missing_impute_with": "MODE",
                "name": "campain",
                "hash_whole_categories": false,
                "category_handling": "DUMMIFY",
                "cumulative_proportion": 0.95,
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "Boolean",
                    "autoModifiedByDSS": false
                },
                "missing_handling": "IMPUTE",
                "max_nb_categories": 100,
                "dummy_clip": "MAX_NB_CATEGORIES",
                "role": "INPUT",
                "max_cat_safety": 200,
                "min_samples": 10,
                "type": "CATEGORY",
                "dummy_drop": "NONE"
            },
            "ip_country": {
                "missing_impute_with": "MODE",
                "name": "ip_country",
                "hash_whole_categories": false,
                "category_handling": "DUMMIFY",
                "cumulative_proportion": 0.95,
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "CountryMeaning",
                    "autoModifiedByDSS": false
                },
                "missing_handling": "IMPUTE",
                "max_nb_categories": 100,
                "dummy_clip": "MAX_NB_CATEGORIES",
                "role": "INPUT",
                "max_cat_safety": 200,
                "min_samples": 10,
                "type": "CATEGORY",
                "dummy_drop": "NONE"
            },
            "customer_id": {
                "missing_impute_with": "MODE",
                "name": "customer_id",
                "hash_whole_categories": false,
                "category_handling": "DUMMIFY",
                "cumulative_proportion": 0.95,
                "state": {
                    "dssWantsToModify": false,
                    "userModified": true,
                    "recordedMeaning": "Text",
                    "autoModifiedByDSS": false
                },
                "missing_handling": "IMPUTE",
                "max_nb_categories": 100,
                "dummy_clip": "MAX_NB_CATEGORIES",
                "role": "REJECT",
                "max_cat_safety": 200,
                "min_samples": 10,
                "type": "CATEGORY",
                "dummy_drop": "NONE"
            },
            "price_first_item_purchased": {
                "generate_derivative": false,
                "rescaling": "AVGSTD",
                "name": "price_first_item_purchased",
                "missing_handling": "IMPUTE",
                "numerical_handling": "REGULAR",
                "binarize_threshold_mode": "MEDIAN",
                "state": {
                    "dssWantsToModify": false,
                    "userModified": false,
                    "recordedMeaning": "DoubleMeaning",
                    "autoModifiedByDSS": false
                },
                "role": "INPUT",
                "binarize_constant_threshold": 0.0,
                "quantile_bin_nb_bins": 4,
                "missing_impute_with": "MEAN",
                "type": "NUMERIC",
                "impute_constant_value": 0.0
            }
        }
    },
    "splitParams": {
        "kfold": false,
        "splitBeforePrepare": true,
        "instanceIdRefresher": 0,
        "ttPolicy": "SPLIT_SINGLE_DATASET",
        "ssdSplitMode": "RANDOM",
        "ssdSelection": {
            "maxRecords": 100000,
            "partitionSelectionMethod": "ALL",
            "targetRatio": 0.02,
            "samplingMethod": "HEAD_SEQUENTIAL"
        },
        "ssdTrainingRatio": 0.8,
        "ssdSeed": 1337,
        "nFolds": 5,
        "subSamplingSeed": 1337
    },
    "modeling": {
        "gbt_max_feature_prop": 0.1,
        "lasso_regression": {
            "alpha": {
                "values": [
                    0.05
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 10.0,
                    "nbValues": 3,
                    "min": 0.1
                }
            },
            "alphaMode": "MANUAL",
            "enabled": false
        },
        "gbt_selection_mode": "auto",
        "ridge_regression": {
            "alpha": {
                "values": [
                    0.1,
                    1.0,
                    3.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 3.0,
                    "nbValues": 3,
                    "min": 0.1
                }
            },
            "alphaMode": "AUTO",
            "enabled": false
        },
        "rf_sparkling": {
            "nbins": 20,
            "mtries": -1,
            "ntrees": 50,
            "enabled": false,
            "min_rows": 1,
            "nbins_cats": 1024,
            "sample_rate": 0.6666,
            "max_depth": 5
        },
        "gbt_min_samples_leaf": 3,
        "logistic_regression": {
            "penalty": {
                "values": {
                    "l2": {
                        "enabled": false
                    },
                    "l1": {
                        "enabled": true
                    }
                }
            },
            "C": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 100.0,
                    "nbValues": 3,
                    "min": 0.01
                }
            },
            "n_jobs": 2,
            "enabled": false
        },
        "mllib_naive_bayes": {
            "enabled": false,
            "lambda": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 10.0,
                    "nbValues": 3,
                    "min": 0.1
                }
            }
        },
        "glm_h2o": {
            "alphas": [
                0.5
            ],
            "standardize": true,
            "family": "gaussian",
            "beta_epsilon": 0.0001,
            "max_iter": 10000,
            "enabled": false,
            "tweedie_variance_power": 0.0,
            "n_folds": 0,
            "lambdas": [
                1e-05
            ]
        },
        "custom_python": [
            {
                "enabled": false
            }
        ],
        "vertica_linear_regression": {
            "epsilon": 1e-06,
            "maxIterations": 200,
            "enabled": false,
            "optimizer": "BFGS"
        },
        "gbt_classification": {
            "loss": {
                "values": {
                    "exponential": {
                        "enabled": false
                    },
                    "deviance": {
                        "enabled": true
                    }
                }
            },
            "learning_rate": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.5,
                    "nbValues": 3,
                    "min": 0.05
                }
            },
            "enabled": false,
            "min_samples_leaf": {
                "values": [
                    3
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            },
            "n_estimators": {
                "values": [
                    100
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 200,
                    "nbValues": 3,
                    "min": 80
                }
            },
            "max_features": {
                "values": [
                    0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            },
            "max_depth": {
                "values": [
                    3
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            }
        },
        "gbt_regression": {
            "loss": {
                "values": {
                    "lad": {
                        "enabled": false
                    },
                    "huber": {
                        "enabled": false
                    },
                    "ls": {
                        "enabled": true
                    }
                }
            },
            "learning_rate": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.5,
                    "nbValues": 3,
                    "min": 0.05
                }
            },
            "enabled": false,
            "min_samples_leaf": {
                "values": [
                    3
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            },
            "n_estimators": {
                "values": [
                    100
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 200,
                    "nbValues": 3,
                    "min": 80
                }
            },
            "max_features": {
                "values": [
                    0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            },
            "max_depth": {
                "values": [
                    3
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            }
        },
        "nb_sparkling": {
            "enabled": false,
            "laplace": 0.0,
            "min_std_dev": 0.001
        },
        "gbm_h2o": {
            "learn_rate": 0.1,
            "ntrees": 50,
            "family": "AUTO",
            "nbins": 20,
            "enabled": false,
            "min_rows": 10,
            "grid_parallelism": -1,
            "max_depth": 5
        },
        "decision_tree_classification": {
            "splitter": {
                "values": {
                    "random": {
                        "enabled": false
                    },
                    "best": {
                        "enabled": true
                    }
                }
            },
            "criterion": {
                "values": {
                    "gini": {
                        "enabled": true
                    },
                    "entropy": {
                        "enabled": false
                    }
                }
            },
            "max_depth": {
                "values": [
                    5
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            },
            "enabled": false,
            "min_samples_leaf": {
                "values": [
                    1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            }
        },
        "grid_search": true,
        "random_forest_regression": {
            "n_jobs": 1,
            "max_tree_depth": {
                "values": [
                    22
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 10,
                    "nbValues": 3,
                    "min": 5
                }
            },
            "enabled": false,
            "min_samples_leaf": {
                "values": [
                    17
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 3
                }
            },
            "mode": "auto",
            "max_features": {
                "values": [
                    0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            }
        },
        "deep_learning_sparkling": {
            "momentum_start": 0.0,
            "rate_annealing": 1e-06,
            "hidden_dropout_ratios": [
                0.1,
                0.2
            ],
            "max_w2": -1.0,
            "use_adaptative": true,
            "activation": "RECTIFIER",
            "enabled": false,
            "epsilon": 1e-08,
            "epochs": 10.0,
            "momentum_ramp": 1000000.0,
            "rate": 0.005,
            "input_dropout_ratio": 0.0,
            "l2": 0.0,
            "rho": 0.99,
            "l1": 0.0,
            "hidden": [
                10,
                10
            ],
            "momentum_stable": 0.0,
            "dropout": false,
            "rate_decay": 1.0
        },
        "mllib_gbt": {
            "cache_node_ids": false,
            "subset_strategy": "auto",
            "subsampling_rate": 1.0,
            "impurity": "gini",
            "max_bins": 32,
            "enabled": false,
            "step_size": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.5,
                    "nbValues": 3,
                    "min": 0.05
                }
            },
            "checkpoint_interval": 10,
            "min_instance_per_node": 1,
            "min_info_gain": 0.0,
            "max_memory_mb": 256,
            "num_trees": {
                "values": [
                    20
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 50,
                    "nbValues": 3,
                    "min": 10
                }
            },
            "seed": 1337,
            "max_depth": {
                "values": [
                    5
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            }
        },
        "gbm_sparkling": {
            "learn_rate": 0.1,
            "ntrees": 50,
            "family": "AUTO",
            "nbins": 20,
            "enabled": false,
            "tweedie_power": 1.5,
            "min_rows": 10,
            "nbins_cats": 1024,
            "balance_classes": false,
            "max_after_balance_size": 2.0,
            "max_depth": 5
        },
        "gbt_max_features": 0,
        "glm_sparkling": {
            "family": "gaussian",
            "beta_epsilon": 0.0001,
            "max_iter": 100,
            "enabled": false,
            "tweedie_variance_power": 0.5,
            "alpha": 0.5,
            "lambda": 0.0
        },
        "mllib_dt": {
            "cache_node_ids": false,
            "max_bins": 32,
            "enabled": false,
            "checkpoint_interval": 10,
            "min_instance_per_node": 1,
            "min_info_gain": 0.0,
            "max_memory_mb": 256,
            "max_depth": {
                "values": [
                    5
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            }
        },
        "metrics": {
            "evaluationMetric": "R2",
            "liftPoint": 0.4,
            "costMatrixWeights": {
                "fnGain": 0.0,
                "tpGain": 1.0,
                "tnGain": 0.0,
                "fpGain": -0.3
            }
        },
        "gridSearchParams": {
            "splitRatio": 0.8,
            "shuffleIterations": 1,
            "mode": "KFOLD",
            "cvSeed": 1337,
            "nJobs": -1,
            "nFolds": 3,
            "stratified": true,
            "foldOffset": true
        },
        "leastsquare_regression": {
            "n_jobs": 2,
            "enabled": false
        },
        "mllib_linreg": {
            "max_iter": 10,
            "enabled": false,
            "reg_param": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 10,
                    "nbValues": 3,
                    "min": 0.001
                }
            },
            "enet_param": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0
                }
            }
        },
        "mllib_logit": {
            "max_iter": 10,
            "enabled": false,
            "reg_param": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 10,
                    "nbValues": 3,
                    "min": 0.001
                }
            },
            "enet_param": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0
                }
            }
        },
        "svc_classifier": {
            "kernel": {
                "values": {
                    "rbf": {
                        "enabled": true
                    },
                    "linear": {
                        "enabled": false
                    },
                    "poly": {
                        "enabled": false
                    },
                    "sigmoid": {
                        "enabled": false
                    }
                }
            },
            "C": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 10.0,
                    "nbValues": 3,
                    "min": 0.1
                }
            },
            "max_iter": -1,
            "enabled": false,
            "custom_gamma": {
                "values": [
                    0.001
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0001
                }
            },
            "tol": 0.001,
            "coef0": 0.0,
            "gamma": {
                "values": {
                    "auto": {
                        "enabled": true
                    },
                    "scale": {
                        "enabled": false
                    },
                    "custom": {
                        "enabled": false
                    }
                }
            }
        },
        "deep_learning_h2o": {
            "rate_annealing": 0.0,
            "epsilon": 1e-06,
            "enabled": false,
            "epochs": 10.0,
            "rate": 1e-05,
            "input_dropout_ratio": 0.0,
            "l2": 0.0,
            "rho": 0.95,
            "l1": 0.0,
            "hidden": "100,100",
            "adaptative_rate": true
        },
        "xgboost": {
            "seed": 1337,
            "enable_early_stopping": true,
            "colsample_bylevel": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.5
                }
            },
            "nthread": -1,
            "min_child_weight": {
                "values": [
                    0.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0
                }
            },
            "objective": {
                "values": {
                    "reg_logistic": {
                        "enabled": false
                    },
                    "reg_linear": {
                        "enabled": true
                    },
                    "reg_gamma": {
                        "enabled": false
                    },
                    "multi_softprob": {
                        "enabled": false
                    },
                    "binary_logistic": {
                        "enabled": false
                    }
                }
            },
            "impute_missing": false,
            "missing": 0.0,
            "scale_pos_weight": 1.0,
            "learning_rate": {
                "values": [
                    0.2
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.5,
                    "nbValues": 3,
                    "min": 0.1
                }
            },
            "max_delta_step": {
                "values": [
                    0.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0
                }
            },
            "base_score": 0.5,
            "n_estimators": 300,
            "alpha": {
                "values": [
                    0.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.1,
                    "nbValues": 3,
                    "min": 0.0
                }
            },
            "booster": {
                "values": {
                    "gbtree": {
                        "enabled": true
                    },
                    "dart": {
                        "enabled": false
                    }
                }
            },
            "colsample_bytree": {
                "values": [
                    0.8
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.5
                }
            },
            "enabled": false,
            "max_depth": {
                "values": [
                    10
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 5,
                    "nbValues": 3,
                    "min": 2
                }
            },
            "subsample": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.5
                }
            },
            "lambda": {
                "values": [
                    1.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1.0,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.5
                }
            },
            "gamma": {
                "values": [
                    0.0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 0.0
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 1.0,
                    "nbValues": 3,
                    "min": 0.0
                }
            },
            "early_stopping_rounds": 4,
            "tree_method": "auto"
        },
        "distributed_rf_h2o": {
            "nbins": 20,
            "build_tree_one_node": false,
            "ntrees": 50,
            "enabled": false,
            "min_rows": 1,
            "sample_rate": 0.6666,
            "max_depth": 5
        },
        "rf_selection_mode": "auto",
        "custom_mllib": [],
        "vertica_logistic_regression": {
            "epsilon": 1e-06,
            "maxIterations": 200,
            "enabled": false,
            "optimizer": "BFGS"
        },
        "decision_tree_regression": {
            "splitter": {
                "values": {
                    "random": {
                        "enabled": false
                    },
                    "best": {
                        "enabled": true
                    }
                }
            },
            "criterion": {
                "values": {
                    "gini": {
                        "enabled": true
                    },
                    "entropy": {
                        "enabled": false
                    }
                }
            },
            "max_depth": {
                "values": [
                    5
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            },
            "enabled": true,
            "min_samples_leaf": {
                "values": [
                    1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            }
        },
        "sgd_classifier": {
            "n_iter": 50,
            "n_jobs": 1,
            "loss": {
                "values": {
                    "modified_huber": {
                        "enabled": false
                    },
                    "log": {
                        "enabled": true
                    }
                }
            },
            "l1_ratio": 0.15,
            "enabled": false,
            "penalty": {
                "values": {
                    "elasticnet": {
                        "enabled": false
                    },
                    "l2": {
                        "enabled": false
                    },
                    "l1": {
                        "enabled": true
                    }
                }
            },
            "alpha": {
                "values": [
                    0.1,
                    0.01,
                    0.001
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LOGARITHMIC",
                    "max": 0.001,
                    "nbValues": 3,
                    "min": 1e-05
                }
            }
        },
        "mllib_rf": {
            "cache_node_ids": false,
            "subset_strategy": "auto",
            "subsampling_rate": 1.0,
            "impurity": "gini",
            "max_bins": 32,
            "enabled": false,
            "step_size": {
                "values": [
                    0.1
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": 1,
                    "min": 1e-23
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 0.5,
                    "nbValues": 3,
                    "min": 0.05
                }
            },
            "checkpoint_interval": 10,
            "min_instance_per_node": 1,
            "min_info_gain": 0.0,
            "max_memory_mb": 256,
            "num_trees": {
                "values": [
                    20
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 50,
                    "nbValues": 3,
                    "min": 10
                }
            },
            "seed": 1337,
            "max_depth": {
                "values": [
                    5
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 8,
                    "nbValues": 3,
                    "min": 3
                }
            }
        },
        "random_forest_classification": {
            "n_jobs": 1,
            "max_tree_depth": {
                "values": [
                    8
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 10,
                    "nbValues": 3,
                    "min": 5
                }
            },
            "enabled": false,
            "min_samples_leaf": {
                "values": [
                    3
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 3
                }
            },
            "mode": "auto",
            "max_features": {
                "values": [
                    0
                ],
                "gridMode": "EXPLICIT",
                "randomMode": "RANGE",
                "limit": {
                    "max": null,
                    "min": 1
                },
                "range": {
                    "scaling": "LINEAR",
                    "max": 20,
                    "nbValues": 3,
                    "min": 1
                }
            }
        }
    },
    "taskType": "PREDICTION",
    "id": "r3Jhr1Jr",
    "name": "Predict revenue",
    "gpuConfig": {
        "params": {
            "useGpu": false,
            "gpuList": [
                0
            ],
            "perGPUMemoryFraction": 0.5,
            "gpuAllowGrowth": false
        },
        "disabledCapabilities": []
    }
}